Bug 86812 - Redlining: On save, 2nd bullet is lost in ODT
Summary: Redlining: On save, 2nd bullet is lost in ODT
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bullet-Number-Outline-Lists ODF-export-invalid Track-Changes-Lists
  Show dependency treegraph
 
Reported: 2014-11-28 06:55 UTC by Jan Holesovsky
Modified: 2021-12-28 12:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Trivial document showing the behavior. (8.84 KB, application/vnd.oasis.opendocument.text)
2014-11-28 06:55 UTC, Jan Holesovsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2014-11-28 06:55:04 UTC
Created attachment 110156 [details]
Trivial document showing the behavior.

Take the attached document, mark everything between HERE and HERE, and delete it.

You'll see that the 1. and 2. bullets are still there, but marked for deletion (correct).

The problem begins when you save the document: Hit Save, and see that the 2. bullet is gone when the saving finishes.  When you reopen the document, it is still gone.

When you reject the change (in the reopened document, or after the change), or do Undo (just after save), the 2. bullet is not re-introduced.

See http://blogs.msdn.com/b/dmahugh/archive/2009/05/13/tracked-changes.aspx for details.
Comment 1 A (Andy) 2014-11-28 19:16:35 UTC
Reproducible with LO 4.3.4.1 and 4.4.0.0.beta1, Win 8.1
Comment 2 QA Administrators 2016-09-20 09:34:11 UTC Comment hidden (obsolete)
Comment 3 Mike 2017-12-13 16:53:59 UTC
Issue is still present.

Version: 6.1.0.0.alpha0+ (x64)
Build ID: c7a2538129f16ef1253ae974737d5c9676aaf883
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-12-13_01:02:49
Locale: de-DE (de_DE); Calc: group threaded
Comment 4 QA Administrators 2018-12-14 03:56:22 UTC Comment hidden (obsolete)
Comment 5 Mike 2020-06-29 18:28:00 UTC
This issue was fixed partly

Part, that needs fixing:

I a) mark bullets for deletion, b) save file, c) open file again and d) reject change: bullets do not reappear

LO now removes both bullets, not only the second one (as in LO 4.4). But as the bullets do not reappear after rejection, the numbering is wrong after rejection.

Fixed part:
I a) mark bullets for deletion, b) save file and c) undo it: undo works

Version: 7.0.0.0.beta2 (x64)
Build ID: 1c213561a365b5666167321de68c9977500c9612
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win
Locale: en-US (de_DE); UI: en-US
Calc: threaded
Comment 6 Telesto 2021-12-28 12:51:17 UTC
(In reply to Mike from comment #5)
> This issue was fixed partly
> 
> Part, that needs fixing:
> 
> I a) mark bullets for deletion, b) save file, c) open file again and d)
> reject change: bullets do not reappear
> 
> LO now removes both bullets, not only the second one (as in LO 4.4). But as
> the bullets do not reappear after rejection, the numbering is wrong after
> rejection.

Still present
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9c95415de877af1430ab5b7123e11dedd0ea622c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL